# Challenge Guide

Each week, your instructors and TAs will provide a demonstration of the challenge in the classroom.

## How to Work on the Challenge

Challenge is designed to prepare you for two scenarios that you will encounter as a developer:

* On-the-job tickets or feature requests

* Job-seeking coding assessments

On-the-job ticket challenge will provide you with starter code. You’ll modify or add to this code to complete the challenge.

Job-seeking coding assessments do not provide starter code. You’ll build these from scratch.

All of the challenge assignments follow agile project management conventions, providing a user story, acceptance criteria, a mock-up demonstrating the application functionality, and review guidelines. 
 
### User Story

Part of being a developer is putting yourself in the shoes of your audience and imagining their experience with the application you’re creating. 

A user story, or persona, is a description of an application using natural, non-technical language. Written from the perspective of the application’s end user, they help developers organize their work by allowing them to understand an application’s context and who will be using it.

### Acceptance Criteria

Acceptance criteria are the requirements that must be met to complete a user story. They define the boundaries of the user story and are used to confirm when a story is completed.

These criteria can be thought of as instructions for how you should complete a challenge assignment. As you plan how to build the application, use them to structure your pages and pseudocode your logic. As you’re working, look back at the list of acceptance criteria to make sure you’ve met all of them. An application is complete only when it meets all of these criteria.

### Review

In the real world, when a developer finishes working on an issue, another developer reviews the code, providing feedback on errors and making sure that all of the acceptance criteria have been met. For the challenge assignments, your TAs will serve as your reviewers.

To submit your application for review, you are required to provide the following:

* The URL of the deployed application.

* The URL of the GitHub repository. Give the repository a unique name and include a README describing the project.

---
© 2022 edX Boot Camps LLC. Confidential and Proprietary. All Rights Reserved.
